New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

instructions for oracle-xe insufficient to build image #294

Closed
xenoterracide opened this Issue Feb 23, 2017 · 26 comments

Comments

@xenoterracide

xenoterracide commented Feb 23, 2017

The instructions basically say that once you put the zip file in the directory that docker build -t oracle/database:11.2.0.2-xe . will work, but it doesn't

Calebs-MacBook-Pro:oracle-xe calebcushing$ docker --version
Docker version 1.12.3, build 6b644ec
docker-machine version 0.8.2, build e18a919
Calebs-MacBook-Pro:oracle-xe calebcushing$ docker build --pull --shm-size=1G .
Sending build context to Docker daemon 315.9 MB
Step 1 : FROM oraclelinux:7-slim
7-slim: Pulling from library/oraclelinux
Digest: sha256:f3a78afd456061bb897b9f2b54b568dec3973efccf2b086d602fabb94069fb6d
Status: Image is up to date for oraclelinux:7-slim
 ---> f005b5220b05
Step 2 : MAINTAINER Gerald Venzl <gerald.venzl@oracle.com>
 ---> Using cache
 ---> 11cbf1e685d9
Step 3 : ENV ORACLE_BASE /u01/app/oracle ORACLE_HOME /u01/app/oracle/product/11.2.0/xe ORACLE_SID XE INSTALL_FILE_1 "oracle-xe-11.2.0-1.0.x86_64.rpm.zip" INSTALL_DIR "$HOME/install" CONFIG_RSP "xe.rsp" RUN_FILE "runOracle.sh" PWD_FILE "setPassword.sh"
 ---> Using cache
 ---> 657154d622fe
Step 4 : ENV PATH $ORACLE_HOME/bin:$PATH
 ---> Using cache
 ---> 05f1854bc74f
Step 5 : COPY $INSTALL_FILE_1 $CONFIG_RSP $RUN_FILE $PWD_FILE $INSTALL_DIR/
 ---> Using cache
 ---> ed53b8d02001
Step 6 : RUN yum -y install unzip libaio bc initscripts net-tools openssl &&     yum clean all &&     cd $INSTALL_DIR &&     unzip $INSTALL_FILE_1 &&     rm $INSTALL_FILE_1 &&        rpm -i Disk1/*.rpm &&        mkdir $ORACLE_BASE/oradata &&     chown -R oracle:dba $ORACLE_BASE &&     mv $INSTALL_DIR/$CONFIG_RSP $ORACLE_BASE/ &&     mv $INSTALL_DIR/$RUN_FILE $ORACLE_BASE/ &&     mv $INSTALL_DIR/$PWD_FILE $ORACLE_BASE/ &&     ln -s $ORACLE_BASE/$PWD_FILE / &&     cd $HOME &&     rm -rf $INSTALL_DIR &&     chmod u+x $ORACLE_BASE/$RUN_FILE &&     chmod u+x $ORACLE_BASE/$PWD_FILE
 ---> Running in 5a119ff58d40
Loaded plugins: ovl
Resolving Dependencies
--> Running transaction check
---> Package bc.x86_64 0:1.06.95-13.el7 will be installed
---> Package initscripts.x86_64 0:9.49.37-1.0.1.el7 will be installed
--> Processing Dependency: udev >= 125-1 for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: sysvinit-tools >= 2.87-5 for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: util-linux >= 2.16 for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: /sbin/arping for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: systemd for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: iproute for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: hostname for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: /sbin/sysctl for package: initscripts-9.49.37-1.0.1.el7.x86_64
--> Processing Dependency: module-init-tools for package: initscripts-9.49.37-1.0.1.el7.x86_64
---> Package libaio.x86_64 0:0.3.109-13.el7 will be installed
---> Package net-tools.x86_64 0:2.0-0.17.20131004git.el7 will be installed
---> Package openssl.x86_64 1:1.0.1e-60.el7_3.1 will be installed
--> Processing Dependency: make for package: 1:openssl-1.0.1e-60.el7_3.1.x86_64
---> Package unzip.x86_64 0:6.0-16.el7 will be installed
--> Running transaction check
---> Package hostname.x86_64 0:3.13-3.el7 will be installed
---> Package iproute.x86_64 0:3.10.0-74.0.1.el7 will be installed
--> Processing Dependency: libmnl.so.0(LIBMNL_1.0)(64bit) for package: iproute-3.10.0-74.0.1.el7.x86_64
--> Processing Dependency: libmnl.so.0()(64bit) for package: iproute-3.10.0-74.0.1.el7.x86_64
--> Processing Dependency: libxtables.so.10()(64bit) for package: iproute-3.10.0-74.0.1.el7.x86_64
---> Package iputils.x86_64 0:20160308-8.el7 will be installed
---> Package kmod.x86_64 0:20-9.el7 will be installed
--> Processing Dependency: /usr/bin/gzip for package: kmod-20-9.el7.x86_64
--> Processing Dependency: /usr/bin/xz for package: kmod-20-9.el7.x86_64
--> Processing Dependency: /usr/bin/nm for package: kmod-20-9.el7.x86_64
--> Processing Dependency: dracut for package: kmod-20-9.el7.x86_64
---> Package make.x86_64 1:3.82-23.el7 will be installed
---> Package procps-ng.x86_64 0:3.3.10-10.el7 will be installed
--> Processing Dependency: libsystemd.so.0(LIBSYSTEMD_209)(64bit) for package: procps-ng-3.3.10-10.el7.x86_64
--> Processing Dependency: libsystemd.so.0()(64bit) for package: procps-ng-3.3.10-10.el7.x86_64
---> Package systemd.x86_64 0:219-30.0.1.el7_3.6 will be installed
--> Processing Dependency: libmount.so.1(MOUNT_2.19)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libblkid.so.1(BLKID_2.15)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libkmod.so.2(LIBKMOD_5)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libblkid.so.1(BLKID_2.18)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: dbus for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libmount.so.1(MOUNT_2.20)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: acl for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libpam.so.0(LIBPAM_1.0)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libdw.so.1(ELFUTILS_0.158)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libblkid.so.1(BLKID_2.17)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libcryptsetup.so.4(CRYPTSETUP_1.0)(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libmount.so.1()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libqrencode.so.3()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libkmod.so.2()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libblkid.so.1()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libdw.so.1()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libpam.so.0()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
--> Processing Dependency: libcryptsetup.so.4()(64bit) for package: systemd-219-30.0.1.el7_3.6.x86_64
---> Package sysvinit-tools.x86_64 0:2.88-14.dsf.el7 will be installed
---> Package util-linux.x86_64 0:2.23.2-33.0.1.el7 will be installed
--> Processing Dependency: libuuid = 2.23.2-33.0.1.el7 for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Processing Dependency: libuuid.so.1(UUID_1.0)(64bit) for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Processing Dependency: libutempter.so.0(UTEMPTER_1.1)(64bit) for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Processing Dependency: libutempter.so.0()(64bit) for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Processing Dependency: libuser.so.1()(64bit) for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Processing Dependency: libuuid.so.1()(64bit) for package: util-linux-2.23.2-33.0.1.el7.x86_64
--> Running transaction check
---> Package acl.x86_64 0:2.2.51-12.el7 will be installed
---> Package binutils.x86_64 0:2.25.1-22.base.el7 will be installed
---> Package cryptsetup-libs.x86_64 0:1.7.2-1.el7 will be installed
--> Processing Dependency: libdevmapper.so.1.02(Base)(64bit) for package: cryptsetup-libs-1.7.2-1.el7.x86_64
--> Processing Dependency: libdevmapper.so.1.02(DM_1_02_97)(64bit) for package: cryptsetup-libs-1.7.2-1.el7.x86_64
--> Processing Dependency: libdevmapper.so.1.02()(64bit) for package: cryptsetup-libs-1.7.2-1.el7.x86_64
---> Package dbus.x86_64 1:1.6.12-17.0.1.el7 will be installed
--> Processing Dependency: dbus-libs(x86-64) = 1:1.6.12-17.0.1.el7 for package: 1:dbus-1.6.12-17.0.1.el7.x86_64
--> Processing Dependency: libdbus-1.so.3()(64bit) for package: 1:dbus-1.6.12-17.0.1.el7.x86_64
---> Package dracut.x86_64 0:033-463.0.1.el7 will be installed
--> Processing Dependency: kpartx for package: dracut-033-463.0.1.el7.x86_64
--> Processing Dependency: tar for package: dracut-033-463.0.1.el7.x86_64
--> Processing Dependency: hardlink for package: dracut-033-463.0.1.el7.x86_64
---> Package elfutils-libs.x86_64 0:0.166-2.el7 will be installed
---> Package gzip.x86_64 0:1.5-8.el7 will be installed
---> Package iptables.x86_64 0:1.4.21-17.el7 will be installed
--> Processing Dependency: libnetfilter_conntrack.so.3()(64bit) for package: iptables-1.4.21-17.el7.x86_64
--> Processing Dependency: libnfnetlink.so.0()(64bit) for package: iptables-1.4.21-17.el7.x86_64
---> Package kmod-libs.x86_64 0:20-9.el7 will be installed
---> Package libblkid.x86_64 0:2.23.2-33.0.1.el7 will be installed
---> Package libmnl.x86_64 0:1.0.3-7.el7 will be installed
---> Package libmount.x86_64 0:2.23.2-33.0.1.el7 will be installed
---> Package libuser.x86_64 0:0.60-7.el7_1 will be installed
---> Package libutempter.x86_64 0:1.1.6-4.el7 will be installed
---> Package libuuid.x86_64 0:2.23.2-33.0.1.el7 will be installed
---> Package pam.x86_64 0:1.1.8-18.el7 will be installed
--> Processing Dependency: libpwquality >= 0.9.9 for package: pam-1.1.8-18.el7.x86_64
--> Processing Dependency: cracklib-dicts >= 2.8 for package: pam-1.1.8-18.el7.x86_64
--> Processing Dependency: libcrack.so.2()(64bit) for package: pam-1.1.8-18.el7.x86_64
---> Package qrencode-libs.x86_64 0:3.4.1-3.el7 will be installed
---> Package systemd-libs.x86_64 0:219-30.0.1.el7_3.6 will be installed
---> Package xz.x86_64 0:5.2.2-1.el7 will be installed
--> Running transaction check
---> Package cracklib.x86_64 0:2.9.0-11.el7 will be installed
---> Package cracklib-dicts.x86_64 0:2.9.0-11.el7 will be installed
---> Package dbus-libs.x86_64 1:1.6.12-17.0.1.el7 will be installed
---> Package device-mapper-libs.x86_64 7:1.02.135-1.el7_3.2 will be installed
--> Processing Dependency: device-mapper = 7:1.02.135-1.el7_3.2 for package: 7:device-mapper-libs-1.02.135-1.el7_3.2.x86_64
---> Package hardlink.x86_64 1:1.0-19.el7 will be installed
---> Package kpartx.x86_64 0:0.4.9-99.el7_3.1 will be installed
---> Package libnetfilter_conntrack.x86_64 0:1.0.4-2.el7 will be installed
---> Package libnfnetlink.x86_64 0:1.0.1-4.el7 will be installed
---> Package libpwquality.x86_64 0:1.2.3-4.el7 will be installed
---> Package tar.x86_64 2:1.26-31.el7 will be installed
--> Running transaction check
---> Package device-mapper.x86_64 7:1.02.135-1.el7_3.2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch    Version                      Repository   Size
================================================================================
Installing:
 bc                      x86_64  1.06.95-13.el7               ol7_latest  114 k
 initscripts             x86_64  9.49.37-1.0.1.el7            ol7_latest  431 k
 libaio                  x86_64  0.3.109-13.el7               ol7_latest   24 k
 net-tools               x86_64  2.0-0.17.20131004git.el7     ol7_latest  303 k
 openssl                 x86_64  1:1.0.1e-60.el7_3.1          ol7_latest  713 k
 unzip                   x86_64  6.0-16.el7                   ol7_latest  169 k
Installing for dependencies:
 acl                     x86_64  2.2.51-12.el7                ol7_latest   80 k
 binutils                x86_64  2.25.1-22.base.el7           ol7_latest  5.4 M
 cracklib                x86_64  2.9.0-11.el7                 ol7_latest   79 k
 cracklib-dicts          x86_64  2.9.0-11.el7                 ol7_latest  3.6 M
 cryptsetup-libs         x86_64  1.7.2-1.el7                  ol7_latest  215 k
 dbus                    x86_64  1:1.6.12-17.0.1.el7          ol7_latest  307 k
 dbus-libs               x86_64  1:1.6.12-17.0.1.el7          ol7_latest  151 k
 device-mapper           x86_64  7:1.02.135-1.el7_3.2         ol7_latest  268 k
 device-mapper-libs      x86_64  7:1.02.135-1.el7_3.2         ol7_latest  333 k
 dracut                  x86_64  033-463.0.1.el7              ol7_latest  318 k
 elfutils-libs           x86_64  0.166-2.el7                  ol7_latest  261 k
 gzip                    x86_64  1.5-8.el7                    ol7_latest  128 k
 hardlink                x86_64  1:1.0-19.el7                 ol7_latest   14 k
 hostname                x86_64  3.13-3.el7                   ol7_latest   16 k
 iproute                 x86_64  3.10.0-74.0.1.el7            ol7_latest  617 k
 iptables                x86_64  1.4.21-17.el7                ol7_latest  424 k
 iputils                 x86_64  20160308-8.el7               ol7_latest  146 k
 kmod                    x86_64  20-9.el7                     ol7_latest  114 k
 kmod-libs               x86_64  20-9.el7                     ol7_latest   47 k
 kpartx                  x86_64  0.4.9-99.el7_3.1             ol7_latest   67 k
 libblkid                x86_64  2.23.2-33.0.1.el7            ol7_latest  170 k
 libmnl                  x86_64  1.0.3-7.el7                  ol7_latest   22 k
 libmount                x86_64  2.23.2-33.0.1.el7            ol7_latest  171 k
 libnetfilter_conntrack  x86_64  1.0.4-2.el7                  ol7_latest   51 k
 libnfnetlink            x86_64  1.0.1-4.el7                  ol7_latest   25 k
 libpwquality            x86_64  1.2.3-4.el7                  ol7_latest   84 k
 libuser                 x86_64  0.60-7.el7_1                 ol7_latest  397 k
 libutempter             x86_64  1.1.6-4.el7                  ol7_latest   24 k
 libuuid                 x86_64  2.23.2-33.0.1.el7            ol7_latest   76 k
 make                    x86_64  1:3.82-23.el7                ol7_latest  420 k
 pam                     x86_64  1.1.8-18.el7                 ol7_latest  715 k
 procps-ng               x86_64  3.3.10-10.el7                ol7_latest  288 k
 qrencode-libs           x86_64  3.4.1-3.el7                  ol7_latest   49 k
 systemd                 x86_64  219-30.0.1.el7_3.6           ol7_latest  5.2 M
 systemd-libs            x86_64  219-30.0.1.el7_3.6           ol7_latest  369 k
 sysvinit-tools          x86_64  2.88-14.dsf.el7              ol7_latest   62 k
 tar                     x86_64  2:1.26-31.el7                ol7_latest  843 k
 util-linux              x86_64  2.23.2-33.0.1.el7            ol7_latest  1.9 M
 xz                      x86_64  5.2.2-1.el7                  ol7_latest  228 k

Transaction Summary
================================================================================
Install  6 Packages (+39 Dependent packages)

Total download size: 25 M
Installed size: 85 M
Downloading packages:
--------------------------------------------------------------------------------
Total                                              1.2 MB/s |  25 MB  00:20     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : libuuid-2.23.2-33.0.1.el7.x86_64                            1/45 
  Installing : libblkid-2.23.2-33.0.1.el7.x86_64                           2/45 
  Installing : gzip-1.5-8.el7.x86_64                                       3/45 
  Installing : cracklib-2.9.0-11.el7.x86_64                                4/45 
  Installing : cracklib-dicts-2.9.0-11.el7.x86_64                          5/45 
  Installing : libpwquality-1.2.3-4.el7.x86_64                             6/45 
  Installing : pam-1.1.8-18.el7.x86_64                                     7/45 
  Installing : libmount-2.23.2-33.0.1.el7.x86_64                           8/45 
  Installing : libnfnetlink-1.0.1-4.el7.x86_64                             9/45 
  Installing : xz-5.2.2-1.el7.x86_64                                      10/45 
  Installing : elfutils-libs-0.166-2.el7.x86_64                           11/45 
  Installing : systemd-libs-219-30.0.1.el7_3.6.x86_64                     12/45 
  Installing : procps-ng-3.3.10-10.el7.x86_64                             13/45 
  Installing : libmnl-1.0.3-7.el7.x86_64                                  14/45 
  Installing : libnetfilter_conntrack-1.0.4-2.el7.x86_64                  15/45 
  Installing : iptables-1.4.21-17.el7.x86_64                              16/45 
  Installing : iproute-3.10.0-74.0.1.el7.x86_64                           17/45 
  Installing : libuser-0.60-7.el7_1.x86_64                                18/45 
  Installing : acl-2.2.51-12.el7.x86_64                                   19/45 
  Installing : hostname-3.13-3.el7.x86_64                                 20/45 
  Installing : 1:make-3.82-23.el7.x86_64                                  21/45 
  Installing : 1:dbus-libs-1.6.12-17.0.1.el7.x86_64                       22/45 
  Installing : kmod-libs-20-9.el7.x86_64                                  23/45 
  Installing : libutempter-1.1.6-4.el7.x86_64                             24/45 
  Installing : util-linux-2.23.2-33.0.1.el7.x86_64                        25/45 
  Installing : 2:tar-1.26-31.el7.x86_64                                   26/45 
  Installing : qrencode-libs-3.4.1-3.el7.x86_64                           27/45 
  Installing : binutils-2.25.1-22.base.el7.x86_64                         28/45 
  Installing : 1:hardlink-1.0-19.el7.x86_64                               29/45 
  Installing : kpartx-0.4.9-99.el7_3.1.x86_64                             30/45 
  Installing : 7:device-mapper-1.02.135-1.el7_3.2.x86_64                  31/45 
  Installing : 7:device-mapper-libs-1.02.135-1.el7_3.2.x86_64             32/45 
  Installing : cryptsetup-libs-1.7.2-1.el7.x86_64                         33/45 
  Installing : dracut-033-463.0.1.el7.x86_64                              34/45 
  Installing : kmod-20-9.el7.x86_64                                       35/45 
  Installing : systemd-219-30.0.1.el7_3.6.x86_64                          36/45 
  Installing : 1:dbus-1.6.12-17.0.1.el7.x86_64                            37/45 
  Installing : iputils-20160308-8.el7.x86_64                              38/45 
  Installing : sysvinit-tools-2.88-14.dsf.el7.x86_64                      39/45 
  Installing : initscripts-9.49.37-1.0.1.el7.x86_64                       40/45 
  Installing : net-tools-2.0-0.17.20131004git.el7.x86_64                  41/45 
  Installing : 1:openssl-1.0.1e-60.el7_3.1.x86_64                         42/45 
  Installing : libaio-0.3.109-13.el7.x86_64                               43/45 
  Installing : bc-1.06.95-13.el7.x86_64                                   44/45 
  Installing : unzip-6.0-16.el7.x86_64                                    45/45 
  Verifying  : 1:openssl-1.0.1e-60.el7_3.1.x86_64                          1/45 
  Verifying  : libmnl-1.0.3-7.el7.x86_64                                   2/45 
  Verifying  : 1:dbus-1.6.12-17.0.1.el7.x86_64                             3/45 
  Verifying  : libblkid-2.23.2-33.0.1.el7.x86_64                           4/45 
  Verifying  : iproute-3.10.0-74.0.1.el7.x86_64                            5/45 
  Verifying  : net-tools-2.0-0.17.20131004git.el7.x86_64                   6/45 
  Verifying  : dracut-033-463.0.1.el7.x86_64                               7/45 
  Verifying  : util-linux-2.23.2-33.0.1.el7.x86_64                         8/45 
  Verifying  : sysvinit-tools-2.88-14.dsf.el7.x86_64                       9/45 
  Verifying  : 1:hardlink-1.0-19.el7.x86_64                               10/45 
  Verifying  : unzip-6.0-16.el7.x86_64                                    11/45 
  Verifying  : cryptsetup-libs-1.7.2-1.el7.x86_64                         12/45 
  Verifying  : bc-1.06.95-13.el7.x86_64                                   13/45 
  Verifying  : 7:device-mapper-libs-1.02.135-1.el7_3.2.x86_64             14/45 
  Verifying  : kmod-20-9.el7.x86_64                                       15/45 
  Verifying  : binutils-2.25.1-22.base.el7.x86_64                         16/45 
  Verifying  : qrencode-libs-3.4.1-3.el7.x86_64                           17/45 
  Verifying  : 7:device-mapper-1.02.135-1.el7_3.2.x86_64                  18/45 
  Verifying  : iptables-1.4.21-17.el7.x86_64                              19/45 
  Verifying  : 2:tar-1.26-31.el7.x86_64                                   20/45 
  Verifying  : libaio-0.3.109-13.el7.x86_64                               21/45 
  Verifying  : pam-1.1.8-18.el7.x86_64                                    22/45 
  Verifying  : gzip-1.5-8.el7.x86_64                                      23/45 
  Verifying  : libutempter-1.1.6-4.el7.x86_64                             24/45 
  Verifying  : libpwquality-1.2.3-4.el7.x86_64                            25/45 
  Verifying  : kmod-libs-20-9.el7.x86_64                                  26/45 
  Verifying  : libuuid-2.23.2-33.0.1.el7.x86_64                           27/45 
  Verifying  : elfutils-libs-0.166-2.el7.x86_64                           28/45 
  Verifying  : 1:dbus-libs-1.6.12-17.0.1.el7.x86_64                       29/45 
  Verifying  : xz-5.2.2-1.el7.x86_64                                      30/45 
  Verifying  : libnfnetlink-1.0.1-4.el7.x86_64                            31/45 
  Verifying  : 1:make-3.82-23.el7.x86_64                                  32/45 
  Verifying  : kpartx-0.4.9-99.el7_3.1.x86_64                             33/45 
  Verifying  : procps-ng-3.3.10-10.el7.x86_64                             34/45 
  Verifying  : systemd-219-30.0.1.el7_3.6.x86_64                          35/45 
  Verifying  : libuser-0.60-7.el7_1.x86_64                                36/45 
  Verifying  : hostname-3.13-3.el7.x86_64                                 37/45 
  Verifying  : initscripts-9.49.37-1.0.1.el7.x86_64                       38/45 
  Verifying  : libmount-2.23.2-33.0.1.el7.x86_64                          39/45 
  Verifying  : cracklib-dicts-2.9.0-11.el7.x86_64                         40/45 
  Verifying  : libnetfilter_conntrack-1.0.4-2.el7.x86_64                  41/45 
  Verifying  : acl-2.2.51-12.el7.x86_64                                   42/45 
  Verifying  : cracklib-2.9.0-11.el7.x86_64                               43/45 
  Verifying  : systemd-libs-219-30.0.1.el7_3.6.x86_64                     44/45 
  Verifying  : iputils-20160308-8.el7.x86_64                              45/45 

Installed:
  bc.x86_64 0:1.06.95-13.el7                                                    
  initscripts.x86_64 0:9.49.37-1.0.1.el7                                        
  libaio.x86_64 0:0.3.109-13.el7                                                
  net-tools.x86_64 0:2.0-0.17.20131004git.el7                                   
  openssl.x86_64 1:1.0.1e-60.el7_3.1                                            
  unzip.x86_64 0:6.0-16.el7                                                     

Dependency Installed:
  acl.x86_64 0:2.2.51-12.el7                                                    
  binutils.x86_64 0:2.25.1-22.base.el7                                          
  cracklib.x86_64 0:2.9.0-11.el7                                                
  cracklib-dicts.x86_64 0:2.9.0-11.el7                                          
  cryptsetup-libs.x86_64 0:1.7.2-1.el7                                          
  dbus.x86_64 1:1.6.12-17.0.1.el7                                               
  dbus-libs.x86_64 1:1.6.12-17.0.1.el7                                          
  device-mapper.x86_64 7:1.02.135-1.el7_3.2                                     
  device-mapper-libs.x86_64 7:1.02.135-1.el7_3.2                                
  dracut.x86_64 0:033-463.0.1.el7                                               
  elfutils-libs.x86_64 0:0.166-2.el7                                            
  gzip.x86_64 0:1.5-8.el7                                                       
  hardlink.x86_64 1:1.0-19.el7                                                  
  hostname.x86_64 0:3.13-3.el7                                                  
  iproute.x86_64 0:3.10.0-74.0.1.el7                                            
  iptables.x86_64 0:1.4.21-17.el7                                               
  iputils.x86_64 0:20160308-8.el7                                               
  kmod.x86_64 0:20-9.el7                                                        
  kmod-libs.x86_64 0:20-9.el7                                                   
  kpartx.x86_64 0:0.4.9-99.el7_3.1                                              
  libblkid.x86_64 0:2.23.2-33.0.1.el7                                           
  libmnl.x86_64 0:1.0.3-7.el7                                                   
  libmount.x86_64 0:2.23.2-33.0.1.el7                                           
  libnetfilter_conntrack.x86_64 0:1.0.4-2.el7                                   
  libnfnetlink.x86_64 0:1.0.1-4.el7                                             
  libpwquality.x86_64 0:1.2.3-4.el7                                             
  libuser.x86_64 0:0.60-7.el7_1                                                 
  libutempter.x86_64 0:1.1.6-4.el7                                              
  libuuid.x86_64 0:2.23.2-33.0.1.el7                                            
  make.x86_64 1:3.82-23.el7                                                     
  pam.x86_64 0:1.1.8-18.el7                                                     
  procps-ng.x86_64 0:3.3.10-10.el7                                              
  qrencode-libs.x86_64 0:3.4.1-3.el7                                            
  systemd.x86_64 0:219-30.0.1.el7_3.6                                           
  systemd-libs.x86_64 0:219-30.0.1.el7_3.6                                      
  sysvinit-tools.x86_64 0:2.88-14.dsf.el7                                       
  tar.x86_64 2:1.26-31.el7                                                      
  util-linux.x86_64 0:2.23.2-33.0.1.el7                                         
  xz.x86_64 0:5.2.2-1.el7                                                       

Complete!
Loaded plugins: ovl
Cleaning repos: ol7_UEKR4 ol7_latest
Cleaning up everything
Archive:  oracle-xe-11.2.0-1.0.x86_64.rpm.zip
   creating: Disk1/
   creating: Disk1/upgrade/
  inflating: Disk1/upgrade/gen_inst.sql  
   creating: Disk1/response/
  inflating: Disk1/response/xe.rsp   
  inflating: Disk1/oracle-xe-11.2.0-1.0.x86_64.rpm  

This system does not meet the minimum requirements for swap space.  Based on
the amount of physical memory available on the system, Oracle Database 11g
Express Edition requires 2048 MB of swap space. This system has 1359 MB
of swap space.  Configure more swap space on the system and retry the 
installation.

error: %pre(oracle-xe-11.2.0-1.0.x86_64) scriptlet failed, exit status 1
error: oracle-xe-11.2.0-1.0.x86_64: install failed
The command '/bin/sh -c yum -y install unzip libaio bc initscripts net-tools openssl &&     yum clean all &&     cd $INSTALL_DIR &&     unzip $INSTALL_FILE_1 &&     rm $INSTALL_FILE_1 &&        rpm -i Disk1/*.rpm &&        mkdir $ORACLE_BASE/oradata &&     chown -R oracle:dba $ORACLE_BASE &&     mv $INSTALL_DIR/$CONFIG_RSP $ORACLE_BASE/ &&     mv $INSTALL_DIR/$RUN_FILE $ORACLE_BASE/ &&     mv $INSTALL_DIR/$PWD_FILE $ORACLE_BASE/ &&     ln -s $ORACLE_BASE/$PWD_FILE / &&     cd $HOME &&     rm -rf $INSTALL_DIR &&     chmod u+x $ORACLE_BASE/$RUN_FILE &&     chmod u+x $ORACLE_BASE/$PWD_FILE' returned a non-zero code: 1
Calebs-MacBook-Pro:oracle-xe calebcushing$ 

it's worth noting oracle doesn't actually need this amount of swap to install or run, there's a nasty hack replacing free while this runs that allows it to work.

@Ike731

This comment has been minimized.

Ike731 commented Feb 24, 2017

I was able to build the image and run the server

@gvenzl

This comment has been minimized.

Member

gvenzl commented Feb 27, 2017

Hi @xenoterracide, there is a much more detailed ReadMe available under https://github.com/oracle/docker-images/blob/master/OracleDatabase/README.md and we also provide a shell script that makes building the image easier, providing MD5 checksums, http proxies, etc.

Could you build the image once you provided the necessary swap space or could you work around the issue?

@gvenzl gvenzl self-assigned this Feb 27, 2017

@gvenzl gvenzl added the database label Feb 27, 2017

@xenoterracide

This comment has been minimized.

xenoterracide commented Feb 27, 2017

History: about 1.5 years ago was when I originally added docker for managing our oracle vm, at that time I was migrating away from vagrant which probably also had this hack in place so I didn't have to run a huge vm.

Workaround: lie to oracle during install

RUN mv /usr/bin/free /usr/bin/free.bak && \
	printf "#!/bin/sh\necho Swap - - 2048" > /usr/bin/free && \
	chmod +x /usr/bin/free && \
	cd $INSTALL_DIR && \
    unzip $INSTALL_FILE_1 && \
    rm $INSTALL_FILE_1 && \
    rpm --install Disk1/*.rpm && \
    mv /usr/bin/free.bak /usr/bin/free && \

I'm fairly confident that if I were to increase the docker-machine/Virtualbox VM's default swapspace somehow, whether it be a by file or repartitioning that it would work, but due to the fact that we don't have an image repository yet, (so devs all build these themselves) and I'm not confident in all of our developer's abilities to do that (and even less confident if they're using the "native" docker installs since those have vm's that I know less about accessing the host of directly).

I read through the shell script but I don't see that it would increase the host os's swap space, so without mutating the vm I'm not sure how it would work out of the box. I'm also not sure if you can specify the default vm's swapspace in any way (again, without doing so manually, which I know how to do, but would rather not require for teammates).

@easikoglu

This comment has been minimized.

easikoglu commented Mar 6, 2017

hi, i followed all the instructions in READ.ME file but couldnt passed that swap problem with MacOsx (Sierra)
My docker version :

Docker version 17.03.0-ce, build 60ccb22

Exception message:

**` This system does not meet the minimum requirements for swap space. Based on
the amount of physical memory available on the system, Oracle Database 11g
Express Edition requires 2048 MB of swap space. This system has 1023 MB
of swap space. Configure more swap space on the system and retry the
installation.

error: %pre(oracle-xe-11.2.0-1.0.x86_64) scriptlet failed, exit status 1
error: oracle-xe-11.2.0-1.0.x86_64: install failed `**
Could you please help me?

@mike-hogan

This comment has been minimized.

mike-hogan commented Mar 9, 2017

I have the same issue. This worked for me last week. All I think I did was upgrade docker in the meantime. Prior to that my docker runtime could have been a couple of months old.

@gvenzl

This comment has been minimized.

Member

gvenzl commented Mar 10, 2017

It looks like that in order to increase the swap space for the Docker container you need to increase the swap space of the host itself.

Docker & swap space - General discussion:

As each running docker container uses the host Kernel, they also use the memory and swap of the host.

There is a dedicated thread for Mac OS X as well:
Docker for mac configure swap space - Docker on Mac
Note: This conversation is also about Oracle Database 11g XE.

@ogobrecht

This comment has been minimized.

ogobrecht commented Mar 27, 2017

Hi,

I had the same problem under Mac OS X Sierra. I found the relevant hint here and wrote a post about it. In short: I modified the rpm preinstall scriptlet and commented out the swap space check.

Then I got a second problem:

package oracle-xe-11.2.0-1.0.x86_64 is intended for a different operating system

To workaround this I had to change the rpm install call in the Dockerfile.xe from:

rpm -i Disk1/*.rpm &&    \

to:

rpm -i --ignoreos Disk1/*.rpm && \

May be we can add this --ignoreos officially to the Dockerfile.xe?

@easikoglu

This comment has been minimized.

easikoglu commented Mar 27, 2017

I found the solution ( only works with 11g express edition version),
When i install it with oracle user ( define user for the folder permission as oracle)
then i increase the docker memory size, then it works.

@gvenzl

This comment has been minimized.

Member

gvenzl commented Mar 30, 2017

Thanks @ogobrecht for the insight. Did you have to add --ignoreos because of the modification of the rpm script or was that a separate issue.

@ogobrecht

This comment has been minimized.

ogobrecht commented Mar 30, 2017

Hi Gerald,

thanks for your question. After a short Google search I found this experts exchange entry, which makes clear, that my package rebuilding for the changed preinstall script must be the reason for this error. A rpm package must be build on the same system (Linux in this case), where it should run.

Sorry, seems that there is no need for the --ignoreos parameter, except that this parameter has no negative side effects and you set it for other people who facing the same problem as I.

I would recommend for a possible 12c XE to rethink the swap space check, since this is often not working in a container environment - see also this blog post, which was the starting point for my workaround.

Maybe you can find a nice solution - XE installation should be as painless as possible :-)

Best regards
Ottmar

@gvenzl

This comment has been minimized.

Member

gvenzl commented Mar 30, 2017

Thanks for your feedback, @ogobrecht! Regarding the --ignoreos flag, that's what I thought. I'm hesitant to set such powerful flags by default as it is always hard to guess the side effects.

Yes, I do agree! A lot of time has passed since 11.2.0.2 XE was released, going towards 6 years now. Of course a lot of technologies have changed as well in that time frame and swap space may not be as crucial anymore as it used to be. Very good feedback, thanks a lot for it!

@Juljan

This comment has been minimized.

Juljan commented May 15, 2017

I have the same issue running docker from Windows 10.

I already tried several solutions proposed in this thread or other posts, without any luck.
As I am on windows, I can't find a way to remove the check from the rpm so I tried to "lie" to it using the following instructions in my Dockerfile, before the RUN yum -y install unzip .... :

#Set swap file
COPY make-swap /usr/bin/make-swap
ENV SWAPSIZE=3000 SWAPFILE=/var/lib/swap.img
CMD ["/usr/bin/make-swap"]

Content of make-swap :

#!/bin/sh

if grep -q -F /`basename $SWAPFILE` /proc/swaps; then
   echo "swap file already present"
   exit
fi

mkdir -p `dirname $SWAPFILE` && dd if=/dev/zero of=$SWAPFILE bs=1024k count=$SWAPSIZE && mkswap $SWAPFILE && chmod 0600 $SWAPFILE && swapon $SWAPFILE && echo "$SWAPFILE none swap sw 0 0" >> /etc/fstab && echo "created swap file" 

What's wrong ?

@ryankmcintyre

This comment has been minimized.

ryankmcintyre commented Jun 2, 2017

I'm running into this as well, using Docker for Windows. I tried many of the possible fixes listed, including that from @Juljan . I think the issue is that the MobyLinuxVM used by Windows doesn't have enough swap space and that is what's used to create the image. I can get into the VM (blog post) but I can't figure out how to increase swap. swapon -s fails with swapon: unrecognized option: s. I can add a new swap file, but running swapon /extraswap fails with swapon: /extraswap: Invalid argument.

@ogobrecht

This comment has been minimized.

ogobrecht commented Jun 6, 2017

Hi @ryankmcintyre @Juljan @gvenzl,

I created a Dockerfile to disable the swap space check in the install file - with this workaround you should be able to prepare the file also under Windows. Please let me know, if this is working for you or not.

You will find the all infos here: github.com/ogobrecht/docker-ora11xe-swap-check-disabler.

Best regards
Ottmar

@gerardnico

This comment has been minimized.

gerardnico commented Aug 15, 2017

I have resolved the problem following the comment of @easikoglu that said that you need to increase the memory size. I was thinking at first at the container but it seems that it's just the docker host.

I have then increased the memory size of the Docker host on Virtual Box to 8192 Mb..
If you are working with VirtualBox as provider, you can do it by opening it or if you prefer the command line:

docker-machine stop
VBoxManage modifyvm default --memory 8192
docker-machine stop

Cheers
Nico

@vasanth-mahendran

This comment has been minimized.

vasanth-mahendran commented Oct 2, 2017

Hi @gerardnico ,

I tried to run the commands you mentioned. It gave an error
VBoxManage modifyvm default --memory 8192

Could not find a registered machine named 'default'.

which vm we have manage? Since docker host is MobyLinuxVM, we have to modify MobyLinuxVM?

I running docker in Windows 10

@gerardnico

This comment has been minimized.

gerardnico commented Oct 12, 2017

Hi @vasanth-mahendran you can find the name of your host machine via the environment variable DOCKER_MACHINE_NAME.
See https://gerardnico.com/wiki/docker/host#name

It seems that many have the name moby now but I use still Toolbox as I'm on Windows 7.

Otherwise just open VirtualBox and see which machine is running. You can also change the parameters via the VirtualBox GUI.

@brunoborges

This comment has been minimized.

Contributor

brunoborges commented Nov 17, 2017

Hi @xenoterracide, do you still need anything from here?

@xenoterracide

This comment has been minimized.

xenoterracide commented Nov 18, 2017

did you ever fix your documentation or make changes to the build such that it would just work on the default docker-madchine image? sure there are lots of workarounds... my workaround was to clone and own, so technically I don't need anything.

@stewartbryson

This comment has been minimized.

stewartbryson commented May 11, 2018

Since XE can't be pulled down from a public repo, you have to provide the RPM to your Docker build script. So I modify the RPM manually using rpmrebuild and remove the SWAP checks, and use this modified RPM in Docker builds. Just do:

rpmrebuild --edit-pre -p oracle-xe-11.2.0-1.0.x86_64.rpm

Then simply comment out the loop that checks for the swap space.

It would be great if Oracle provided an easy way to install/configure 12c as we have with MySQL, Postgres, etc., but alas I don't think that's in the cards.

@gvenzl

This comment has been minimized.

Member

gvenzl commented Jun 19, 2018

You mean something like this:

[root@localhost ~]# rpm -ihv oracle-database-ee-18c-1.0-1.x86_64.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:oracle-database-ee-18c-1.0-1     ################################# [100%]
Registering Oracle home to the Oracle inventory...
Oracle home registered to the Oracle inventory.
Executing post installation scripts...
Setting up inventory as it has not been setup on this machine.
Configuring ADR directories...
ADR directories configured.
Post installation scripts executed successfully.
Oracle home installed successfully and ready to be configured.
To configure a sample Oracle Database you can execute the following service configuration script as root: /etc/init.d/oracledb_ORCLCDB-18c configure
[root@localhost ~]# /etc/init.d/oracledb_ORCLCDB-18c configure
Configuring Oracle Database ORCLCDB.
Prepare for db operation
8% complete
Copying database files
31% complete
Creating and starting Oracle instance
32% complete
36% complete
40% complete
43% complete
46% complete
Completing Database Creation
51% complete
54% complete
Creating Pluggable Databases
58% complete
77% complete
Executing Post Configuration Actions
100% complete
Database creation complete. For details check the logfiles at:
 /opt/oracle/cfgtoollogs/dbca/ORCLCDB.
Database Information:
Global Database Name:ORCLCDB
System Identifier(SID):ORCLCDB
Look at the log file "/opt/oracle/cfgtoollogs/dbca/ORCLCDB/ORCLCDB.log" for further details.

Database configuration completed successfully. The passwords were auto generated, you must change them by connecting to the database using 'sqlplus / as sysdba' as the oracle user.
[root@localhost ~]# su - oracle
Last login: Wed May 23 18:52:07 PDT 2018 on pts/0
[oracle@localhost ~]$ . oraenv
ORACLE_SID = [oracle] ? ORCLCDB
The Oracle base has been set to /opt/oracle
[oracle@localhost ~]$ sqlplus / as sysdba

SQL*Plus: Release 18.0.0.0.0 - Production on Wed May 23 19:05:57 2018
Version 18.3.0.0.0

Copyright (c) 1982, 2018, Oracle.  All rights reserved.


Connected to:
Oracle Database 18c Enterprise Edition Release 18.0.0.0.0 - Production
Version 18.3.0.0.0

SQL> select 'Hello World!' from dual;

'HELLOWORLD!
------------
Hello World!

SQL>
@Djelibeybi

This comment has been minimized.

Member

Djelibeybi commented Jun 19, 2018

@gvenzl now you're just teasing our lovely users. :) Also, first rule of Oracle Linux: never use rpm to install RPMs. Always use yum. So your command should be yum localinstall oracle-database-ee-18c-1.0-1.x86_64.rpm so that any/all pre-requisite RPMs are found and installed as well.

@gvenzl

This comment has been minimized.

Member

gvenzl commented Jun 19, 2018

Yeah but rpm produces an nicer to copy output...

@serviens

This comment has been minimized.

serviens commented Jul 24, 2018

@gvenzl I see that RPM also mentioned in the Install docs (https://bit.ly/2JLy1z2), but I can't find the RPM in OTN, e-delivery, or linux.oracle.com sites...Do you have a link to where we could find it?

@gvenzl

This comment has been minimized.

Member

gvenzl commented Jul 24, 2018

Hi @serviens, the RPM is not yet released and will follow in a couple of weeks (as well as the other ports such as Windows, Solaris, etc)

@Djelibeybi Djelibeybi closed this Oct 30, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment